2 Replies Latest reply on Oct 8, 2013 11:46 AM by Jianbao Tao

    Cannot download 'javax.inject:javax.inject:1@jar' when using weld-se-core

    Jianbao Tao Newbie

      It may seem odd, but I cannot use the dependency 'org.jboss.weld.se:weld-se-core:2.0.4.Final' because of this error:

      Could not resolve all dependencies for configuration ':runtime'.

      > Could not download artifact 'javax.inject:javax.inject:1@jar'

         > Artifact 'javax.inject:javax.inject:1@jar' not found.

       

      On the other hand, I can load  'org.jboss.weld.se:weld-se:2.0.4.Final'  (without the `core`) without any trouble. So, is this a bug to weld-se-core or am I missing anything? Thank you very much.